slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSOrthogonalize

Orthogonalize the columns of a matrix.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSOrthogonalize(DS ds,DSMatType mat,PetscInt cols,PetscInt *lindcols)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| mat | - a matrix
| cols | - number of columns to orthogonalize (starting from column zero)

### Output Parameter

| lindcols | - (optional) number of linearly independent columns of the matrix

### See Also

DSPseudoOrthogonalize()

### Level

developer

### Location

src/sys/classes/ds/interface/dspriv.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages